<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
version $Date: 2003/05/04 06:40:16 $

-->
<list>
    <category name="Utility">
        <project>
            <name>util-thread</name>
            <package>net.sourceforge.groboutils.util.thread.v1</package>
            <description>
            Collection of utilities to help with thread and process management.
            </description>
            <class>
                <name>BackgroundProcess</name>
                <description>
                Class which allows for better interaction with a spawned
                Process. It forks the process's output streams to other
                streams.
                </description>
            </class>
            <class>
                <name>IOThreadRunner</name>
                <description>
                A thread which pulls data from an input stream and pushes it
                into an output stream.
                </description>
            </class>
            <class>
                <name>LoopThread</name>
                <description>
                Implements safe pause, resume, and stop for threads which loop
                over the same function endlessly. Allows for a sleep period
                between loop iterations.
                </description>
            </class>
            <class>
                <name>QueueThread</name>
                <description>
                Thread-safe implementation of pulling objects from a
                SynchQueue, and passing them to a listening object.
                </description>
            </class>
            <class>
                <name>ThreadPool</name>
                <description>
                A pool of QueueThread instances, which handles menial tasks
                such as growing the thread pool if the number of waiting
                objects is above a threshold number, up to a maximum number of
                threads, finding the thread with the fewest number of waiting
                objects, and optimization of determining which thread to pass
                events to.
                </description>
            </class>
            <status>
            03-May-2003:
            Need to finish up tests and documentation before entering RC 1.
            </status>
        </project>
    </category>
</list>

